Name:           sm-transport-lib
Version:        0.5.0
Release:        1%{?dist}
Summary:        sm - transport library

License:        LGPL
URL:            https://code.citrite.net/projects/XS/repos/sm-transport-lib
Source0:        https://code.citrite.net/rest/archive/latest/projects/XS/repos/sm-transport-lib/archive?at=v%{version}&format=tar.gz&prefix=%{name}-%{version}#/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel pylint python-nose python-coverage python2-mock

%description
This package provides the transport library abstraction for the XenServer storage managers


%prep
%autosetup -p1


%build
(cd libs
sed -i "s/\(version='\)[^'\"]\+/\1%{version}-%{release}/g" setup.py
%{__python} setup.py build
)


%install
(cd libs
%{__python} setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
)

%check
tests/run_unit_tests.sh
cp .coverage %{buildroot}
cp coverage.xml %{buildroot}
cp -r htmlcov %{buildroot}/htmlcov

%post

%postun


%files
%doc
%{python_sitelib}/transport/*.py
# Remove this later when location of helper libraries is finalised
%{python_sitelib}/transport/fake
%exclude %{python_sitelib}/transport/*.pyc
%exclude %{python_sitelib}/transport/*.pyo
%{python_sitelib}/transport-*.egg-info

%package testresults
Summary:  test results for sm-transport-lib package
BuildArch:      noarch

%description testresults
The package contains the build time test results for the sm-transport-lib package

%files testresults
/.coverage
/coverage.xml
/htmlcov

%changelog
* Tue Apr 10 2018 marksy <mark.syms@citrix.com> - 0.5.0-1
- CA-285849: Correct order of parameters

* Tue Apr 03 2018 Edwin Török <edvin.torok@citrix.com> - 0.4.0-1
- Add device vendor, serial and lun id as required by XenCenter
- Make multipath use SCSI ID instead of serial
- Fix multipath unit test to use SCSI ID instead of serial
- Fix scsi id mapping for SAS devices
- Return adapter, channel, target_id and lun for HBA

* Tue Mar 27 2018 Edwin Török <edvin.torok@citrix.com> - 0.3.0-1
- CP-24753: Rescan iSCSI targets when probing so that changes in accessible LUNs are detected
- CP-24753: Refactor probe results to match the expectations.

* Thu Mar  1 2018 Mark Syms <mark.syms@citrix.com> - 0.2.0-2
- Add HBA Fibre Channel support
- Set the block device scheduler to noop as in SMAPIv1
- Improve multipath handling

* Wed Oct 25 2017 Mark Syms <mark.syms@citrix.com> - 0.1.0-2
- Export unit test code coverage date from build

* Thu Sep 21 2017 Mark Syms <mark.syms@citrix.com> - 0.1.0-1
- Initial package

